package org.bdware.consistency.plugin.common;

import org.bdware.sdk.consistency.ConsistencyPluginManager;
import org.bdware.sdk.consistency.api.context.*;
import org.bdware.server.trustedmodel.ContractExecutor;

public abstract class AbstractContextContractExecutor implements ContractExecutor {
    static protected IGlobalConf globalConf = ConsistencyPluginManager.getContext().getGlobalConf();
    static protected ICMActions cmActions = ConsistencyPluginManager.getContext().getCMActions();
    static protected INetworkManager networkManager = ConsistencyPluginManager.getContext().getNetworkManager();
    static protected IMasterClientTCPAction masterClientTCPAction = ConsistencyPluginManager.getContext().getMasterClientTCPAction();
    static protected IMasterServerTCPAction masterServerTCPAction = ConsistencyPluginManager.getContext().getMasterServerTCPAction();
    static protected IMasterServerRecoverMechAction masterServerRecoverMechAction = ConsistencyPluginManager.getContext().getMasterServerRecoverMechAction();
}
