package org.bdware.consistency.plugin.raft.algo.message;

public class EmptyMessage implements IRaftMessage{
    RaftMessageType type;

    public EmptyMessage() {
        type=RaftMessageType.Unknown;
    }

    @Override
    public byte[] getBytes() {
        return new byte[0];
    }

    @Override
    public IRaftMessage parse(byte[] b) {
        return new EmptyMessage();
    }

    @Override
    public RaftMessageType getType() {
        return type;
    }

    public void setType(RaftMessageType type) {
        this.type = type;
    }
}
